WordPress.org

Ready to get started?Download WordPress

Forums

Widget Settings Importer/Exporter
[resolved] Fatal/Syntax Error (10 posts)

  1. jacie
    Member
    Posted 1 year ago #

    I was receiving a fatal error and syntax error when I attempted to activate this plugin. I figured out how to resolve this issue based on other users' comments, but I don't know how to delete this support request so I'll just include the work-around below. Hope this helps others out there!

    For others who receive a fatal or syntax error when attempting to activate version 1.1, you have to upgrade to PHP 5.3. If you have a security plugin installed such as Better WP Security, you will need to temporarily allow scripts and users to write to your .htaccess file. Once you allow, then uninstall and reinstall the plugin. It should activate now without a problem. After successful activation, you can go back and lock your .htaccess file again.

  2. ecabral
    Member
    Posted 1 year ago #

    @ jacie -thanks for sharing this tip!

    I wonder if anyone else found an alternative way to make the plugin work?

    I read my web host's documentation on php 5.2 / 5.3 and am not convinced that upgrading is a good idea (at least in my particular case). I still see the fatal error when I try to activate the plugin and have it inactive for the moment. :(

  3. benclintz
    Member
    Posted 1 year ago #

    Hi Ecabral, here is a simpler solution :go to the developers tab of this plugin and scroll down to older version. download V 1.0 and it will work fine

  4. pameladamus
    Member
    Posted 1 year ago #

    Thanks all of you. This was very helpful to me. For whatever reason the php upgrade didn't help me and I did end up needing to use the older version. It Activated just fine without the error. Thanks!Thanks!Thanks!

  5. benclintz
    Member
    Posted 1 year ago #

    You are welcome Pameladamus

  6. ecabral
    Member
    Posted 1 year ago #

    @ benclintz - Thanks!! Worked! :)

  7. ecabral
    Member
    Posted 1 year ago #

    Spoke too fast... Could activate v. 1.0, but I'm not getting any file after exporting the widget settings... :(

    @ benclintz/pameladamus - did you manage to make it work?

  8. benclintz
    Member
    Posted 1 year ago #

    Hey ecabral, Sorry for the long wait
    Mine worked but some settings didn't so i had to do it manually. If you go to tools, you should have a widget setting export menu. on the widget setting export page you should select all or some of the widgets you want to export (i suspect you are leaving all blank).

  9. ecabral
    Member
    Posted 1 year ago #

    @ benclintz- actually, I was selecting a bunch of the widgets, but not all. Looks like if I select all it works...

  10. IIIiW
    Member
    Posted 1 year ago #

    The plugin is very interesting and could be helpful and save me quite a lot of time. I managed to activate it by setting PHP to 5.3 as it proposed but I am still getting a fatal error as a result when I select all the widgets and click export.
    It works fine in localhost so must be an access rights issue but can somebody help me which directory I should modify?
    Thanks in advance.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic